#ifndef gif_hh
#define gif_hh

#include "pic.hh"
#include "gifread.h"
#include "gifwrite.h"

class intensity;

class gif: public pic
{
public:
  
  gif(char		*name);		// new and load
  gif(intensity 	*img);

  ~gif();

  void
    save(char	*name);

  void
    save() {   save(fileName_); }

  unsigned char *
    data() { return image_[0]; }

  char*
    type() { return "GIF"; }

private:

  char		*fileName_;
  unsigned char	**image_;
  XColor	colors_[MAXCOLORMAPSIZE];
  int		bg_color_;
  int		bw_;

  void
    aux(unsigned char	*data);

};


#endif				// gif_hh
