#ifndef GIFREAD_H
#define GIFREAD_H

#include <stdio.h>

/*
#define TIMING 1
*/

#ifdef TIMING
#include <sys/time.h>
struct timeval Tv;
struct timezone Tz;
#endif


#define	MAXCOLORMAPSIZE		256

#define	TRUE	1
#define	FALSE	0

#define CM_RED		0
#define CM_GREEN	1
#define CM_BLUE		2

#define	MAX_LWZ_BITS		12

#define INTERLACE		0x40
#define LOCALCOLORMAP		0x80

#define BitSet(byte, bit)	(((byte) & (bit)) == (bit))

#define	ReadOK(file,buffer,len)	(fread((char *)buffer, len, 1, file) != 0)

#define LM_to_uint(a,b)			(((b)<<8)|(a))

/* declared as well in gifread.C as 'static'
extern int 
ReadColorMap(FILE *, int, unsigned char [3][MAXCOLORMAPSIZE], int *);
*/

/* declared as well in gifread.C as 'static'
extern int 
DoExtension(FILE *, int);
*/

/* declared as well in gifread.C as 'static'
extern int 
GetDataBlock(FILE *, unsigned char *);
*/

/* declared as well in gifread.C as 'static'
extern unsigned char *
ReadImage(FILE *, int, int, XColor *, int,
	  unsigned char[3][MAXCOLORMAPSIZE], int, int, int);
*/

extern unsigned char *
ReadGIF(FILE *fd, int &w, int &h, XColor *colrs, int &bg);

#define ERROR	printf

#define INFO_MSG printf

#endif
